UNP(1)

NAME
unp - unpack everything

SYNOPSIS
unp [OPTION]... [FILE]... -- [TOOL-OPTION]...

DESCRIPTION
file: compressed file(s) to expand/extract

Use -- [ ARGUMENTS ] to pass arguments to external programs, eg. some tar options: unp fastgl.tgz xmnt.tgz -- -C /tmp

OPTIONS

-f Continue even if program availability checks fail or directory collision occurs

-u Special helper mode.

    For most archive types: a) create directory <filename without suffix>/, b) extract contents there.

    For Debian/Ubuntu packages: a) extract data.tar.gz after each operation in local directory, b) extract control.tar.gz into control/<package_version_arch>/.

-U Smart mode, acts like -u (see above) if archive contains multiple elements but if there is only one file/directory element then it's stored in the current directory.

-s Show the list of supported formats

-n, --dry-run Display the calculated commands, don't run them. NOTE: the printed commands shall be carefully examined for malicious filenames.

-v More verbosity

--version Show the tool version

-h Show this help

AUTHOR
Written by Eduard Bloch, originally by Andre Karwath.

COPYRIGHT
Copyright © 2024 Eduard Bloch License GPLv2: GNU GPL version 2 <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.